Get a fine-tune training job
curl --request GET \
--url https://api.example.com/api/finetune/jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/finetune/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/finetune/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"base_model": "<string>",
"owner": "<string>",
"adapter_type": "lora",
"status": "ready",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"hyperparameters": {},
"gpu_resources": {},
"rendered_dag": "<string>",
"airflow_dag_id": "<string>",
"airflow_dag_url": "<string>",
"mlflow_run_id": "<string>",
"registered_model_name": "<string>",
"model_version": "<string>",
"error_message": "<string>"
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Training
Get a fine-tune training job
Return the training job, reconciling live status from Airflow.
GET
/
api
/
finetune
/
jobs
/
{job_id}
Get a fine-tune training job
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Training job ID.
Response
Successful Response
Full state of a fine-tune training job.
Parameter-efficient fine-tuning method.
Available options:
lora, qlora Lifecycle of a fine-tune training job (mirrors the DB enum).
Available options:
ready, queued, running, complete, failed Was this page helpful?

